Skip to content
This repository
Newer
Older
100644 41 lines (35 sloc) 1.595 kb
49c8460e » gabebw
2011-11-12 Use Bundler gem conventions.
1 $LOAD_PATH.push File.expand_path("../lib", __FILE__)
bf33af34 » nragaz
2010-06-08 put version in its own file
2 require 'paperclip/version'
7480516a » jyurek
2008-12-29 Version 2.2.0
3
49c8460e » gabebw
2011-11-12 Use Bundler gem conventions.
4 Gem::Specification.new do |s|
eefaa9ce » jyurek
2010-04-27 The gemspec is a separate file which can handle itself.
5 s.name = "paperclip"
6 s.version = Paperclip::VERSION
49c8460e » gabebw
2011-11-12 Use Bundler gem conventions.
7 s.platform = Gem::Platform::RUBY
eefaa9ce » jyurek
2010-04-27 The gemspec is a separate file which can handle itself.
8 s.author = "Jon Yurek"
49c8460e » gabebw
2011-11-12 Use Bundler gem conventions.
9 s.email = ["jyurek@thoughtbot.com"]
3695eaf3 » gabebw
2011-06-25 Fix gem homepage
10 s.homepage = "https://github.com/thoughtbot/paperclip"
eefaa9ce » jyurek
2010-04-27 The gemspec is a separate file which can handle itself.
11 s.summary = "File attachments as attributes for ActiveRecord"
49c8460e » gabebw
2011-11-12 Use Bundler gem conventions.
12 s.description = "Easy upload management for ActiveRecord"
13
eefaa9ce » jyurek
2010-04-27 The gemspec is a separate file which can handle itself.
14 s.rubyforge_project = "paperclip"
49c8460e » gabebw
2011-11-12 Use Bundler gem conventions.
15
16 s.files = `git ls-files`.split("\n")
17 s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
18 s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
19 s.require_paths = ["lib"]
20
eefaa9ce » jyurek
2010-04-27 The gemspec is a separate file which can handle itself.
21 s.requirements << "ImageMagick"
49c8460e » gabebw
2011-11-12 Use Bundler gem conventions.
22
23 s.add_dependency('activerecord', '>= 2.3.0')
24 s.add_dependency('activesupport', '>= 2.3.2')
122e07c7 » djcp
2012-10-26 Dependency tweak for 2.7.3 release
25 s.add_dependency('cocaine', '~> 0.3.0')
49c8460e » gabebw
2011-11-12 Use Bundler gem conventions.
26 s.add_dependency('mime-types')
27
28 s.add_development_dependency('shoulda')
29 s.add_development_dependency('appraisal', '~> 0.4.0')
30 s.add_development_dependency('mocha')
75f413da » sikachu
2011-12-09 Use AWS::SDK instead of AWS::S3
31 s.add_development_dependency('aws-sdk')
06c73b3a » jyurek
2012-09-28 Fix the E2BIG problem
32 s.add_development_dependency('sqlite3', '~> 1.3.5')
777ac900 » sikachu
2011-12-12 Update Cucumber dependency
33 s.add_development_dependency('cucumber', '~> 1.1.0')
49c8460e » gabebw
2011-11-12 Use Bundler gem conventions.
34 s.add_development_dependency('aruba')
35 s.add_development_dependency('capybara')
36 s.add_development_dependency('bundler')
59706d08 » jyurek
2012-10-08 Return Cocaine to 0.3.2 for the 2.7 branch
37 s.add_development_dependency('cocaine', '~> 0.3.0')
49c8460e » gabebw
2011-11-12 Use Bundler gem conventions.
38 s.add_development_dependency('fog')
39 s.add_development_dependency('rake')
40 s.add_development_dependency('fakeweb')
30ebb746 » jyurek
2008-12-10 Changes for gem building on github.
41 end
Something went wrong with that request. Please try again.